Subject: Re: [PATCH bpf-next V2 0/2] bpf: Updates for BPF-helper bpf_check_mtu

From: Jesper Dangaard Brouer <[email-masked]>
Date: Mon, 8 Mar 2021 15:44:11 +0100

On Fri, 26 Feb 2021 23:34:34 +0100
Daniel Borkmann <[email-masked]> wrote:

> On 2/19/21 7:36 AM, Jesper Dangaard Brouer wrote:
> > On Thu, 18 Feb 2021 12:49:53 +0100
> > Jesper Dangaard Brouer <[email-masked]> wrote:
> >   
> >> The FIB lookup example[1] show how the IP-header field tot_len
> >> (iph->tot_len) is used as input to perform the MTU check. The recently
> >> added MTU check helper bpf_check_mtu() should also support this type
> >> of MTU check.
> >>
> >> Lets add this feature before merge window, please. This is a followup
> >> to 34b2021cc616 ("bpf: Add BPF-helper for MTU checking").  
> > 
> > Which git tree should I send this against bpf-next or bpf, to keep this
> > change together with 34b2021cc616 ("bpf: Add BPF-helper for MTU
> > checking") ?  
> 
> Given this is an api change, we'll take this into bpf tree after the
> pending pr was merged.

That sounds great, but I noticed that they have not reached bpf-tree
yet. And the patches[1][2] disappeared[0] from patchwork as they were
archived, which confuse me.

As the patchset doesn't apply cleanly (due to whitespace in comment)
against bpf-tree, I'll resend it.

[0] https://patchwork.kernel.org/project/netdevbpf/list/?series=434987
[1] https://patchwork.kernel.org/project/netdevbpf/patch/161364899856.1250213.17435782167100828617.stgit@firesoul/
[2] https://patchwork.kernel.org/project/netdevbpf/patch/161364900363.1250213.9894483265551874755.stgit@firesoul/
-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer